Bug 511074 - RFE: permit specification of disk adapter type
RFE: permit specification of disk adapter type
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virtinst (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:02 EDT by Gene Czarcinski
Modified: 2010-03-16 13:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 15:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2009-07-13 11:02:16 EDT
Description of problem:
Currently, when virtual disks (volumes) are created when a guest is created, the disk adapter interface is selected by the software.  Defaults are good but you should be able to specify others.  For example, F11 supports virtio, ide AND scsi but the interface is predefined as virtio.  Similarly, F9 will get IDe interfaces.

Version-Release number of selected component (if applicable):
F11 + preview
Comment 1 Mark McLoughlin 2009-08-11 12:11:50 EDT
We do this for the NIC model, so it might make sense for the disk adaptor too

Moving to upstream tracker
Comment 2 Cole Robinson 2010-03-01 15:50:41 EST
This is already available with virt-install via --disk ...,bus=scsi or whatever. And now with the ability to 'Customize guests before install' in virt-manager, the option is available there. Closing as UPSTREAM

Note You need to log in before you can comment on or make changes to this bug.